## ros-rolling-keyboard-handler 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(keyboard_handler)

# find dependencies
find_package(ament_cmake REQUIRED)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# Windows supplies macros for min and max by default. We should only use min and max from stl
if(WIN32)
  add_definitions(-DNOMINMAX)
endif()

set(SOURCES
    src/keyboard_handler_base.cpp
    src/default_unix_key_map.cpp
    src/default_windows_key_map.cpp
    src/keyboard_handler_unix_impl.cpp
    src/keyboard_handler_windows_impl.cpp
)

add_library(${PROJECT_NAME} SHARED ${SOURCES})

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  target_compile_options(${PROJECT_NAME} PRIVATE -Wall -Wextra -Wpedantic)
endif()

if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wthread-safety)
endif()

target_include_directories(${PROJECT_NAME}
    PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "KEYBOARD_HANDLER_BUILDING_LIBRARY")

install(
    DIRECTORY include/
    DESTINATION include)

install(
    TARGETS ${PROJECT_NAME}
    EXPORT export_${PROJECT_NAME}
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib
    RUNTIME DESTINATION bin
    INCLUDES DESTINATION include
)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_targets(export_${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  find_package(ament_cmake_gtest)
  find_package(ament_cmake_gmock REQUIRED)
  ament_lint_auto_find_test_dependencies()

  set(keyboard_handler_test_sources
      test/keyboard_handler_unix_tests.cpp
      test/keyboard_handler_windows_tests.cpp
  )

  ament_add_gmock(test_keyboard_handler ${keyboard_handler_test_sources})
  target_include_directories(test_keyboard_handler PUBLIC include)
  target_link_libraries(test_keyboard_handler ${PROJECT_NAME})
endif()

ament_package()

=== debian/changelog ===
ros-rolling-keyboard-handler (0.0.3-2focal) focal; urgency=high

  * Fixes for uncrustify 0.72
  * Install SIGINT handler optionally and call old handler
  * Contributors: Chris Lalancette, Christophe Bedard, Emerson Knapp, Michael Orlov

 -- michael <michael.orlov@apex.ai>  Tue, 21 Dec 2021 08:00:00 -0000

ros-rolling-keyboard-handler (0.0.2-2focal) focal; urgency=high

  * Merge pull request #5 <https://github.com/ros-tooling/keyboard_handler/issues/5> from lihui815/sonia-str2code
    added enum_str_to_key_code
  * Unified keyboard handler (#1 <https://github.com/ros-tooling/keyboard_handler/issues/1>)
    * Initial implementation for Keyboard handler
  * Contributors: Emerson Knapp, Michael Orlov, Sonia Jin

 -- michael <michael.orlov@apex.ai>  Thu, 02 Sep 2021 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-keyboard-handler
Section: misc
Priority: optional
Maintainer: michael <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-keyboard-handler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: Handler for input from keyboard

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-keyboard-handler//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-keyboard-handler 0.2.0

=== debian/changelog ===
ros-rolling-keyboard-handler (0.2.0-1jammy) jammy; urgency=high



 -- michael <michael.orlov@apex.ai>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-keyboard-handler (0.1.0-1jammy) jammy; urgency=high

  * Force exit from main thread on signal handling in keyboard_handler (#23 <https://github.com/ros-tooling/keyboard_handler/issues/23>)
  * Contributors: Michael Orlov

 -- michael <michael.orlov@apex.ai>  Tue, 08 Nov 2022 00:00:00 -0000

ros-rolling-keyboard-handler (0.0.4-1jammy) jammy; urgency=high

  * Install includes to include/${PROJECT_NAME} and misc CMake fixes (#12 <https://github.com/ros-tooling/keyboard_handler/issues/12>)
  * Contributors: Shane Loretz

 -- michael <michael.orlov@apex.ai>  Tue, 29 Mar 2022 00:00:00 -0000

ros-rolling-keyboard-handler (0.0.3-1jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72
  * Install SIGINT handler optionally and call old handler
  * Contributors: Chris Lalancette, Christophe Bedard, Emerson Knapp, Michael Orlov

 -- michael <michael.orlov@apex.ai>  Tue, 21 Dec 2021 00:00:00 -0000

ros-rolling-keyboard-handler (0.0.2-1jammy) jammy; urgency=high

  * Merge pull request #5 <https://github.com/ros-tooling/keyboard_handler/issues/5> from lihui815/sonia-str2code
    added enum_str_to_key_code
  * Unified keyboard handler (#1 <https://github.com/ros-tooling/keyboard_handler/issues/1>)
    * Initial implementation for Keyboard handler
  * Contributors: Emerson Knapp, Michael Orlov, Sonia Jin

 -- michael <michael.orlov@apex.ai>  Thu, 02 Sep 2021 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-keyboard-handler
Section: misc
Priority: optional
Maintainer: michael <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-keyboard-handler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: Handler for input from keyboard

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
